### Method

# Dex AsyncPair set_cancel_on_discard

since: 0.4

#### Declaration [src]

    void
    dex_async_pair_set_cancel_on_discard (
      DexAsyncPair* async_pair,
      gboolean cancel_on_discard
    )

#### Description [src]

Sets whether or not the future should cancel the async operation when the future is discarded. This happens when no more futures are awaiting the completion of this future.

Available since: 0.4

#### Parameters

`cancel_on_discard`

  Type: `gboolean`

  If the operation should cancel when the future is discarded.